gtk-0.12.0: Binding to the Gtk+ graphical user interface library.

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Graphics.UI.Gtk.Recent.RecentChooserWidget

Contents

- Detail
- Class Hierarchy
- Types
- Constructors

Description

Displays recently used files

- Module available since Gtk+ version 2.10

Synopsis

- data RecentChooserWidget
- class VBoxClass o => RecentChooserWidgetClass o
- castToRecentChooserWidget :: GObjectClass obj => obj -> RecentChooserWidget
- toRecentChooserWidget :: RecentChooserWidgetClass o => o -> RecentChooserWidget
- recentChooserWidgetNew :: IO RecentChooserWidget
- recentChooserWidgetNewForManager :: RecentManagerClass manager => manager -> IO RecentChooserWidget

# Detail

`RecentChooserWidget` is a widget suitable for selecting recently used files. It is the main building block of a `RecentChooserDialog`. Most applications will only need to use the latter; you can use `RecentChooserWidget` as part of a larger window if you have special needs.

Note that `RecentChooserWidget` does not have any methods of its own. Instead, you should use the functions that work on a `RecentChooser`.

Recently used files are supported since Gtk+ 2.10.

# Class Hierarchy

     | GObject
     | +----Object
     | +----Widget
     | +----Container
     | +----Box
     | +----VBox
     | +----RecentChooserWidget

# Types

data RecentChooserWidget

Instances

Eq RecentChooserWidget |
Ord RecentChooserWidget |
GObjectClass RecentChooserWidget |
RecentChooserWidgetClass RecentChooserWidget |
VBoxClass RecentChooserWidget |
BoxClass RecentChooserWidget |
ContainerClass RecentChooserWidget |
WidgetClass RecentChooserWidget |
ObjectClass RecentChooserWidget |

class VBoxClass o => RecentChooserWidgetClass o

Instances

RecentChooserWidgetClass RecentChooserWidget |

castToRecentChooserWidget :: GObjectClass obj => obj -> RecentChooserWidget

toRecentChooserWidget :: RecentChooserWidgetClass o => o -> RecentChooserWidget

# Constructors

recentChooserWidgetNew :: IO RecentChooserWidget

Creates a new `RecentChooserWidget` object. This is an embeddable widget used to access the recently used resources list.

recentChooserWidgetNewForManager

Arguments

:: RecentManagerClass manager |
=> manager | `manager` - a `RecentManager`
-> IO RecentChooserWidget | returns a new `RecentChooserWidget`

Creates a new `RecentChooserWidget` with a specified recent manager.

This is useful if you have implemented your own recent manager, or if you have a customized instance of a `RecentManager` object.